Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## grails.doc.gradle
[Groovy] Class MigrateLegacyDocs

    java.lang.Object
      org.gradle.api.DefaultTask
          grails.doc.gradle.MigrateLegacyDocs

    class MigrateLegacyDocs
    extends DefaultTask

Gradle task for migrating Grails 1.x gdocs to the newer Grails 2.x form with a YAML-based table of contents.

Property Summary
`java.io.File` | `guideDir`
`java.io.File` | `outputDir`
`java.io.File` | `resourcesDir`

Method Summary
`java.lang.Object` | `migrate()`

Property Detail

### guideDir

    @InputDirectory
    java.io.File guideDir

### outputDir

    @OutputDirectory
    java.io.File outputDir

### resourcesDir

    @InputDirectory
    java.io.File resourcesDir

Method Detail

### migrate

    @TaskAction
    java.lang.Object migrate()

Groovy Documentation